RESTinio

Classes | Namespaces | Typedefs | Functions
http_server.hpp File Reference
`#include <restinio/exception.hpp>`
`#include <restinio/settings.hpp>`
`#include <restinio/request_handler.hpp>`
`#include <restinio/impl/acceptor.hpp>`
`#include <restinio/traits.hpp>`
`#include <memory>`

Go to the source code of this file.

## Classes
class | restinio::io_context_holder_t
| Helper class for holding shared pointer to io_context. More...
class | restinio::http_server_t< Traits >
| Class for http-server. More...

## Namespaces
namespace | restinio

## Typedefs
using | restinio::io_context_shared_ptr_t = std::shared_ptr< asio_ns::io_context >

## Functions
io_context_holder_t | restinio::own_io_context ()
| Function which tells that http_server should create and use its own instance of io_context. More...
io_context_holder_t | restinio::external_io_context (asio_ns::io_context &ctx)
| Function which tells that http_server should use external instance of io_context and should not controll its lifetime. More...